[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.CustomSort

CustomSort - Sorts the child nodes using SortProc.

## Declaration

Source position: comctrls.pp line 3094

`public function TTreeNode.CustomSort(`
`SortProc: TTreeNodeCompare`
`):Boolean;`

## Arguments

`SortProc` |  | Sorting algorithm executed in the method, or Nil to use the default procedure.

## Function result

Always returns True.

## Description

The child nodes (but not the grand-children) are sorted. If SortProc is Nil the method DefaultTreeViewSort is used. The default implementation always returns True.